##  for PCLinuxOS  ##

%define ver 0.1.4
%define rel 1

%define git 0
%define git_date 0
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel %{rel}.nora17
%endif

%define fcitx_ver  4.2.9.5
%define libkkc_ver 0.3.5

Name:    fcitx-kkc
Summary: Japanese libkkc IME Wrapper for Fcitx
Version: %{ver}
Release: %{realrel}
License: GPLv3+
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx-kkc

%if %{git}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
%endif

# https://github.com/m-shibata/fcitx-kkc/commit/49c0045cd5d0262d73d6006db9f6074707247717
Patch10: dialog-inverted.patch
# https://github.com/m-shibata/fcitx-kkc/commit/36501890be5059ac33a069559d27ab39f0ef140b
Patch11: direct-input.patch

BuildRequires: fcitx-devel >= %{fcitx_ver}
BuildRequires: libkkc-devel >= %{libkkc_ver}
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gettext-devel
BuildRequires: intltool

Requires: fcitx >= %{fcitx_ver}
Requires: libkkc >= %{libkkc_ver}

BuildConflicts: qt3-devel

%description
fcitx-kkc is a Japanese libkkc IME Wrapper for Fcitx.


%prep
%if %{git}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q
%endif

%patch10 -p1
%patch11 -p1


%build
%cmake
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/fcitx/fcitx-kkc.so
%{_libdir}/fcitx/qt/libfcitx-kkc-config.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/configdesc/fcitx-kkc.desc
%{_datadir}/fcitx/inputmethod/kkc.conf
%{_datadir}/fcitx/imicon/kkc.png
%{_datadir}/fcitx/kkc/dictionary_list
%{_datadir}/fcitx/kkc/rule
%{_datadir}/icons/hicolor/64x64/apps/fcitx-kkc.png
%{_includedir}/fcitx/module/kkc/


%changelog
* Thu Nov 09 2017 tomcat <> 0.1.4-1
- update to 0.1.4
- use %%cmake instead of %%cmake_qt4

* Sat Sep 16 2017 tomcat <> 0.1.3-1
- update to 0.1.3

* Tue Jun 27 2017 tomcat <> 0.1.2-3.git20151212
- rebuild
- use %%cmake_qt4 instead of %%cmake
- use %%make_build instead of %%make

* Wed Feb 10 2016 tomcat <> 0.1.2-2.git20151212
- update to git.20151212
- fix License

* Tue May 26 2015 tomcat <> 0.1.2-1
- update to 0.1.2

* Sat May 16 2015 tomcat <> 0.1.1-3.git20150430
- update to git.20150430
- add patcn10,11 from https://github.com/m-shibata/fcitx-kkc/

* Mon Jan 19 2015 tomcat <> 0.1.1-2.git20140810
- update to git.20140810
- build with fcitx-4.2.8.5-git20141209 and libkkc-0.3.5

* Mon May 19 2014 tomcat <> 0.1.1-1
- update to 0.1.1
- build with fcitx-4.2.8.4 and libkkc-0.3.3

* Fri Dec 20 2013 tomcat <> 0.1.0-2.1
- rebuild with fcitx-4.2.8.3 and libkkc-0.3.2

* Fri Jul 19 2013 tomcat <> 0.1.0-2
- rebuild with fcitx-4.2.8.1 and libkkc-0.2.6

* Wed Jul 03 2013 tomcat <> 0.1.0-1
- initial build for PCLinuxOS
